#!/bin/sh
sleep 1
major=`cat /proc/devices | grep heci | awk '{print $1}'`
node_legacy="/dev/iamthif"
node_heci="/dev/heci"

if [ "${major}" != "" ]; then
    logger "Major for HECI is " ${major}
    /bin/mknod ${node_legacy} c $major 0 -m600
    /bin/mknod ${node_heci} c $major 1 -m600
    return 0
else
    logger "No Major for HECI found"
    return 1
fi
 
